﻿using System;
using System.ComponentModel;
using Xamarin.Forms;
using Xamarin.Forms.PlatformConfiguration.iOSSpecific;
using SelectionChangedEventArgs = Syncfusion.XForms.ComboBox.SelectionChangedEventArgs;

namespace HelloWorld
{
    [DesignTimeVisible(true)]
    public partial class MainPage : ContentPage
    {
        public MainPage()
        {
            this.InitializeComponent();
            this.On<Xamarin.Forms.PlatformConfiguration.iOS>().SetUseSafeArea(true);
        }

        private void ComboBVoxSelectionChangedHandler(object sender, SelectionChangedEventArgs e)
        {
            if (sender == this.TimeInterval)
            {
                this.Schedule.TimeInterval = int.Parse((string)e.Value);
                return;
            }

            if (sender == this.TimeIntervalHeight)
            {
                this.Schedule.TimeIntervalHeight = int.Parse((string)e.Value);
                return;
            }

            if (sender == this.TimeFormat)
            {
                var value = (string)e.Value;
                this.Schedule.DayViewSettings.DayLabelSettings.TimeFormat = value.StartsWith("*", StringComparison.Ordinal) ? value.Substring(1) : value;
                return;
            }
        }
    }
}
